Sie sind hier: IT-Support / IT-Betreuer Forum
Do, 21. November 2019 l 02:44

Benutzeranmeldung

Geben Sie Ihren Benutzernamen und Ihr Passwort ein, um sich an der Website anzumelden:

 

Kontakt  |  Hilfe

IT-Betreuer Forum

Unbeantwortetes Thema

Netcontrol32


Autor Nachricht
Verfasst am: 13. 01. 2008 [16:17]
rb
IT-Regionalbetreuer
Dabei seit: 18.09.2007
Beiträge: 47
Betreff: [nc-announce] Möglicher Pufferüberlauf in NCProxy, Sicherheitsupdate Version 2.4.1

Sehr geehrte Damen und Herren,

leider hat sich in der Passwort-Hash Funktion des NCProxy ein Pufferüberlauf eingeschlichen.
Da nicht sicher ist, ob sich dieser Pufferüberlauf möglicherweise ausnutzen lässt, steht ab sofort eine fehlerbereinigte Version des NCProxy (Version 2.4.1.2) zum Download auf der Homepage zur Verfügung.

WICHTIG: Der Pufferüberlauf hat dazu geführt, dass sämtliche Passwort-Hashes auch in der Konfigurationsdatei fehlerhaft gespeichert wurden. Daher ist ein Anpassen von NCProxy.ini notwendig. Eine Anleitung dazu finden Sie unter

http://www.netcontrol32.de/migrate.php

Ohne die Anpassung kann sich nach dem Update der NCProxy.exe kein Benutzer mehr am NCProxy anmelden!

Außer NCProxy.exe wurde kein Programm aktualisiert. Daher ist es ausreichend, nach der Anleitung der o.g. Seite vorzugehen. Die Clients und das Lehrerinterface muss nicht ausgetauscht werden.

Außerdem entfällt ab sofort die Notwendigkeit, sich für die Verwendung von NetControl zu registrieren. NCProxy verlangt nun nicht mehr nach einer gültigen Lizenzdatei.